MainApplication/Controllers/AnswerQuizController.cs
using Domain.Entities;
using MainApplication.token;
using RestSharp;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MainApplication.Controllers
{
    public class AnswerQuizController : Controller
    {
        // GET: Answer
        public ActionResult Index()
        {
            return View();
        }

        // GET: Answer/Details/5
        public ActionResult Details(int id)
        {
            return View();
        }

        // GET: Answer/Create
        public ActionResult Create()
        {

            //var clientrest1 = new RestClient("http://pi-net-service-dev.eu-west-1.elasticbeanstalk.com/api");
            //var requestrest1 = new RestRequest("AnswerQuiz/AnsByQues?idQuestion =" + idQ, Method.GET);
            //requestrest1.AddHeader("content-type", "application/json");
            //idQ = clientrest1.Execute<Answer>(requestrest1).Data.Id;
            return View();

        }

        // POST: Answer/Create
        [HttpPost]
        public ActionResult Create(Answer ans, HttpPostedFileBase File)
        {
            try
            {
                if (Session["token"] == null)
                {
                    TempData["err_auth_msg"] = "you are not authenticated to access that page";
                    return RedirectToAction("index", "Auth");
                }

                JWToken token = new JWToken() { Token = Session["token"].ToString() };
                ViewBag.tenantname = token.getTenantFromToken().Name;
                ViewBag.tenantcolor = token.getTenantFromToken().CustemColor;
                ViewBag.tenantid = token.getTenantFromToken().Id;

                ViewBag.userimage = token.getUserFromToken().ProfileImageURL;
                ViewBag.username = token.getUserFromToken().username;
                ViewBag.userid = token.getUserFromToken().Id;

                var clientrest = new RestClient("http://pi-net-servicepattern-dev.eu-west-1.elasticbeanstalk.com/api/");
                var requestrest = new RestRequest("answer/", Method.POST);

                requestrest.RequestFormat = DataFormat.Json;
                requestrest.AddHeader("Content-Type", "multipart/form-data");
                requestrest.AddHeader("Authorization", "Bearer " + Session["token"]);

                requestrest.AddBody(new Answer
                {
                    Content = ans.Content,
                    IsCorrect = ans.IsCorrect,
                    type = ans.type,
                    ImageURI = File.FileName,
                    QuestionId = Convert.ToInt32(Request.QueryString["idQuestion"])

                });




                var path = Path.Combine(Server.MapPath("C://Users/Jihene/Desktop/exam proba mai 17/"), File.FileName);
                File.SaveAs(path);
                var response = clientrest.Execute<Answer>(requestrest);

                return RedirectToAction("AnsByQues");


                //return CreatedAtAction("DefaultApi", new { controller = "AnswerQuizController", id = ans.Id }, ans); ;



            }
            catch
            {
                return View();
            }
        }

        // GET: Answer/Edit/5
        public ActionResult Edit(int id)
        {
            return View();
        }

        // POST: Answer/Edit/5
        [HttpPost]
        public ActionResult Edit(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add update logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }

        // GET: Answer/Delete/5
        public ActionResult Delete(int id)
        {
            return View();
        }

        // POST: Answer/Delete/5
        [HttpPost]
        public ActionResult Delete(int id, FormCollection collection)
        {
            try
            {
                // TODO: Add delete logic here

                return RedirectToAction("Index");
            }
            catch
            {
                return View();
            }
        }


        [HttpGet]
        // GET: AnswerQuiz/AnsByQues/5
        public ActionResult AnsByQues(int? idQuestion)
        {

            if (Session["token"] == null)
            {
                TempData["err_auth_msg"] = "you are not authenticated to access that page";
                return RedirectToAction("index", "Auth");
            }

            JWToken token = new JWToken() { Token = Session["token"].ToString() };
            ViewBag.tenantname = token.getTenantFromToken().Name;
            ViewBag.tenantcolor = token.getTenantFromToken().CustemColor;
            ViewBag.tenantid = token.getTenantFromToken().Id;

            ViewBag.userimage = token.getUserFromToken().ProfileImageURL;
            ViewBag.username = token.getUserFromToken().username;
            ViewBag.userid = token.getUserFromToken().Id;

            var clientrest = new RestClient("http://pi-net-service-dev.eu-west-1.elasticbeanstalk.com/api/");
            var requestrest = new RestRequest("AnswerQuiz?idQuestion=" + idQuestion, Method.GET);
            requestrest.AddHeader("content-type", "application/json");
            requestrest.AddHeader("Authorization", "Bearer " + Session["token"]);

            requestrest.ToString();
            var response1 = clientrest.Execute<List<Answer>>(requestrest);


            var req = new RestRequest("QuestionQuiz/" + idQuestion, Method.GET);
            req.AddHeader("content-type", "application/json");
            req.AddHeader("Authorization", "Bearer " + Session["token"]);
            ViewBag.Qcentent = clientrest.Execute<Question>(req).Data.Content;
            ViewBag.idQ = idQuestion;

            return View(response1.Data);



        }
    }
}

MainApplication/Views/AnswerQuiz/AnsByQues.cshtml
@model IEnumerable<Domain.Entities.Answer>

@{
    ViewBag.Title = "AnsByQues";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>AnsByQues</h2>

<p>
    @Html.ActionLink("Create New", "Create" , new { idQuestion = 2})
    <div>
      
 <h1>@ViewBag.QCentent </h1>
        <h1>@ViewBag.idQ </h1>  
  </div>

</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Content)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.IsCorrect)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.type)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ImageURI)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.QuestionId)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Content)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.IsCorrect)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.type)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ImageURI)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.QuestionId)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Details", "Details", new { id=item.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.Id })
          
        </td>
    </tr>
}

</table>
<div class="media-right">
    <a href="@Url.Action("Create", "AnswerQuiz" , new { idQuestion = @ViewBag.idQ })" class="btn btn-success">New Answer <i class="material-icons btn__icon--right">add</i></a>

</div>

MainApplication/Views/AnswerQuiz/Create.cshtml
@model Domain.Entities.Answer

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Create</h2>

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Answer</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Content, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Content, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Content, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.IsCorrect, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <div class="checkbox">
                    @Html.EditorFor(model => model.IsCorrect)
                    @Html.ValidationMessageFor(model => model.IsCorrect, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.type, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.type, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.type, "", new { @class = "text-danger" })
            </div>
        </div>

        @*<div class="form-group">
            @Html.LabelFor(model => model.ImageURI, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.ImageURI, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.ImageURI, "", new { @class = "text-danger" })
            </div>
        </div>*@
        <div class="form-group">
            @Html.LabelFor(model => model.ImageURI, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.TextBox("Image", null, new { type = "file" })
                @Html.ValidationMessageFor(model => model.ImageURI)
            </div>
        </div>
        




       

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>